Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_SupplierAdmin Class Reference

ProxyPushSupplier. More...

`#include <CEC_SupplierAdmin.h>`

Collaboration diagram for TAO_CEC_SupplierAdmin:

[legend]
List of all members.

## Public Methods
| TAO_CEC_SupplierAdmin (TAO_CEC_EventChannel *event_channel)
| constructor... More...
virtual | ~TAO_CEC_SupplierAdmin (void)
| destructor... More...
void | for_each (TAO_ESF_Worker< TAO_CEC_ProxyPushConsumer > *worker ACE_ENV_ARG_DECL)
| For each elements call <worker->work()>. More...
void | for_each (TAO_ESF_Worker< TAO_CEC_ProxyPullConsumer > *worker ACE_ENV_ARG_DECL)
| For each elements call <worker->work()>. More...
virtual void | connected (TAO_CEC_ProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)
| Keep track of connected consumers. More...
virtual void | reconnected (TAO_CEC_ProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | disconnected (TAO_CEC_ProxyPushConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | connected (TAO_CEC_ProxyPullConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | reconnected (TAO_CEC_ProxyPullConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | disconnected (TAO_CEC_ProxyPullConsumer *ACE_ENV_ARG_DECL_NOT_USED)
virtual void | shutdown (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)
| The event channel is shutting down, inform all the consumers of this. More...
virtual CosEventChannelAdmin::ProxyPushConsumer_ptr | obtain_push_consumer (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosEventChannelAdmin::ProxyPullConsumer_ptr | obtain_pull_consumer (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual PortableServer::POA_ptr | _default_POA (ACE_ENV_SINGLE_ARG_DECL)
## Private Attributes
TAO_CEC_EventChannel * | event_channel_
| The Event Channel we belong to. More...
TAO_ESF_Proxy_Admin< TAO_CEC_EventChannel, TAO_CEC_ProxyPushConsumer, CosEventChannelAdmin::ProxyPushConsumer > | push_admin_
| The push and pull aspects are implemented using these classes. More...
TAO_ESF_Proxy_Admin< TAO_CEC_EventChannel, TAO_CEC_ProxyPullConsumer, CosEventChannelAdmin::ProxyPullConsumer > | pull_admin_
PortableServer::POA_var | default_POA_
| Store the default POA. More...

## Detailed Description

ProxyPushSupplier.

Implement the CosEventChannelAdmin::SupplierAdmin interface. This class is an Abstract Factory for the TAO_CEC_ProxyPushConsumer. = MEMORY MANAGMENT It does not assume ownership of the TAO_CEC_EventChannel object = LOCKING @ TODO No provisions for locking, access must be serialized externally. = TODO

## Constructor & Destructor Documentation

TAO_CEC_SupplierAdmin::TAO_CEC_SupplierAdmin | ( | TAO_CEC_EventChannel * | ec | ) |

| constructor...

TAO_CEC_SupplierAdmin::~TAO_CEC_SupplierAdmin | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

PortableServer::POA_ptr TAO_CEC_SupplierAdmin::_default_POA | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

virtual void TAO_CEC_SupplierAdmin::connected | ( | TAO_CEC_ProxyPullConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual void TAO_CEC_SupplierAdmin::connected | ( | TAO_CEC_ProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Keep track of connected consumers.

virtual void TAO_CEC_SupplierAdmin::disconnected | ( | TAO_CEC_ProxyPullConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual void TAO_CEC_SupplierAdmin::disconnected | ( | TAO_CEC_ProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

ACE_INLINE void TAO_CEC_SupplierAdmin::for_each | ( | TAO_ESF_Worker< TAO_CEC_ProxyPullConsumer > *worker | ACE_ENV_ARG_DECL | ) |

| For each elements call <worker->work()>.

ACE_INLINE void TAO_CEC_SupplierAdmin::for_each | ( | TAO_ESF_Worker< TAO_CEC_ProxyPushConsumer > *worker | ACE_ENV_ARG_DECL | ) |

| For each elements call <worker->work()>.

CosEventChannelAdmin::ProxyPullConsumer_ptr TAO_CEC_SupplierAdmin::obtain_pull_consumer | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

CosEventChannelAdmin::ProxyPushConsumer_ptr TAO_CEC_SupplierAdmin::obtain_push_consumer | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

virtual void TAO_CEC_SupplierAdmin::reconnected | ( | TAO_CEC_ProxyPullConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

virtual void TAO_CEC_SupplierAdmin::reconnected | ( | TAO_CEC_ProxyPushConsumer * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

void TAO_CEC_SupplierAdmin::shutdown | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | `[virtual]`

| The event channel is shutting down, inform all the consumers of this.

## Member Data Documentation

PortableServer::POA_var TAO_CEC_SupplierAdmin::default_POA_`[private]`

| Store the default POA.

TAO_CEC_EventChannel* TAO_CEC_SupplierAdmin::event_channel_`[private]`

| The Event Channel we belong to.

TAO_ESF_Proxy_Admin<TAO_CEC_EventChannel,TAO_CEC_ProxyPullConsumer,CosEventChannelAdmin::ProxyPullConsumer> TAO_CEC_SupplierAdmin::pull_admin_`[private]`

TAO_ESF_Proxy_Admin<TAO_CEC_EventChannel,TAO_CEC_ProxyPushConsumer,CosEventChannelAdmin::ProxyPushConsumer> TAO_CEC_SupplierAdmin::push_admin_`[private]`

| The push and pull aspects are implemented using these classes.

The documentation for this class was generated from the following files:

- CEC_SupplierAdmin.h
- CEC_SupplierAdmin.cpp
- CEC_SupplierAdmin.i